Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# SchemeImpl Class Reference
[Parsers]

Inheritance diagram for SchemeImpl:

## Detailed Description

Scheme storage implementation.

Manages the vector of SchemeNode's.

## Public Member Functions
const String * | getName () const
FileType * | getFileType () const
## Protected Member Functions
| SchemeImpl (const String *sn)
## Protected Attributes
String * | schemeName
Vector< SchemeNode * > | nodes
FileTypeImpl * | fileType

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:14 2006 by doxygen 1.4.6.